#include <bits/stdc++.h>
#define ll long long
#define ull unsigned long lond
#define lli long long int
using namespace std;
string s,x,y,r;
int main(){
   cin >> x >> y;
   ll m=max(x.size(),y.size());
   ll n=m-x.size();
   ll n1=m-y.size();
   x.insert(0, n, '0');
   x.insert(0, n1, '0');
   for (int i=0;i<m;i++){
      if (x[i]==y[i]){
         r+=x[i];
         r+=y[i];
      }
      else if (x[i]-48>y[i]-48){
         r+=x[i];
      }
      else r+=y[i];
   }
   cout << r << endl;
   return 0;
}